Bug 121780 - Clear the List of Recent documents -> 'this operation is not supported by operating system' ( not reproducible from the start center )
Summary: Clear the List of Recent documents -> 'this operation is not supported by ope...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Recent-Document-List
  Show dependency treegraph
 
Reported: 2018-11-29 07:03 UTC by Vera Blagoveschenskaya
Modified: 2019-02-02 15:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screen (25.36 KB, image/png)
2018-11-29 07:03 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-11-29 07:03:10 UTC
Description:
Clear the List of Recent documents -> 'this operation is not supported by operating system'

Steps to Reproduce:
Steps to Reproduce:
1. Open several documents via Writer
2. See Recent Documents 
3. Clear list

Actual Results:
Popup message appears
'this operation is not supported by operating system'

See screenshot

But the list is cleared

Expected Results:
No warning message


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for 

Version: 6.3.0.0.alpha0+
Build ID: b15b1a2a90fa4c239ff8a6a33e73ff50ea422abf
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-28_06:21:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Reproduced for

Version: 6.3.0.0.alpha0+
Build ID: b15b1a2a90fa4c239ff8a6a33e73ff50ea422abf
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-28_06:21:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded


---

Possibly it is a result of the fix
https://bugs.documentfoundation.org/show_bug.cgi?id=121417#c5
Comment 1 Vera Blagoveschenskaya 2018-11-29 07:03:51 UTC
Created attachment 147115 [details]
screen
Comment 2 Michael Weghorn 2018-11-29 08:10:11 UTC
This was already reproduced by other people, s. e.g. bug 121417 comment 10 and bug 121417 comment 12, setting status accordingly.
Comment 3 Xisco Faulí 2018-12-05 13:04:51 UTC
I can reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 1ee8d4f63adf3113a4733a479c8faf9eb65f7b8d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded


but not in

Version: 6.1.0.1.0+
Build ID: a09ed9a9eae17103b7ad6b5f99c78f6c36b6084b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 4 Tomáš Chvátal 2019-01-30 09:18:27 UTC
I can confirm this on 6.2 branch too. Updating Version field to the lower version.
Comment 5 Katarina Behrens (CIB) 2019-01-30 11:50:48 UTC
Can somene bibisect this please?
From what I can see, the error pop-up comes from the depths of gio UCB i.e. it's as if it'd be trying to open 'vnd.org.libreoffice.recentdocs:ClearRecentFileList' as a regular file URL
Comment 6 Xisco Faulí 2019-01-30 23:23:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ca0308797df86ebece19260f3ca438a0cb437208

author	Stephan Bergmann <sbergman@redhat.com>	2018-11-13 08:13:00 +0100
committer	Stephan Bergmann <sbergman@redhat.com>	2018-11-13 08:13:00 +0100
commit	ca0308797df86ebece19260f3ca438a0cb437208 (patch)
tree	07a4cc5a71085a07ac0199c62d82d6b1c60903ab
parent	b7d0b49f5708b55e24aabb719e26ce5ec8628161 (diff)
tdf#121337: Fail on GIO error in GIO UCP getPropertyValue

Bisected with: bibisect-linux64-6.2

Adding Cc: to Stephan Bergmann
Comment 7 Stephan Bergmann 2019-01-31 12:42:58 UTC
Cannot reproduce, with neither a local libreoffice-6-2 nor a local master build (on Fedora 29 GNOME).
If anybody (Bubli?) can paste a backtrace, that would be helpful.
Comment 8 Stephan Bergmann 2019-01-31 12:56:29 UTC
(In reply to Stephan Bergmann from comment #7)
> Cannot reproduce, with neither a local libreoffice-6-2 nor a local master
> build (on Fedora 29 GNOME).

Ah, so the way to reproduce it is to select "File - Recent Documents - Clear List" from a Writer document window, not from the start center window.
Comment 9 Xisco Faulí 2019-01-31 13:18:14 UTC
yep, it seems the case. I can't reproduce it from the start center...
Comment 10 Stephan Bergmann 2019-01-31 14:50:32 UTC
So <https://gerrit.libreoffice.org/plugins/gitiles/core/+/ca0308797df86ebece19260f3ca438a0cb437208%5E!/> "tdf#121337: Fail on GIO error in GIO UCP getPropertyValue" (adding one more scenario in which the GIO UCP issues a n interaction request) only uncovered an issue that is already present since <https://gerrit.libreoffice.org/plugins/gitiles/core/+/d930cefbe65d8b7f21100fcbf2ddcd977dd15cb1%5E!/> "Startcenter: Refresh RecentDocsView when select 'Clear list' menu option" added that <vnd.org.libreoffice.recentdocs:ClearRecentFileList> URI:

Selecting "File - Recent Documents - Clear List" causes PopupMenuControllerBase::dispatchCommand (in svtools/source/uno/popupmenucontrollerbase.cxx) to send an event handled by PopupMenuControllerBase' ExecuteHdl_Impl LINK (ibid), which calls some pDispatchInfo->mxDispatch->dispatch.

Now, when done in the start center, the called dispatch function is BackingComp::dispatch (in sfx2/source/dialog/backingcomp.cxx), which knows how to handle that <vnd.org.libreoffice.recentdocs:ClearRecentFileList> URI.

But when done in a Writer document window, the called dispatch function is framework::LoadDispatcher::dispatch (in framework/source/dispatch/loaddispatcher.cxx), which does not know anything about the vnd.org.libreoffice.recentdocs URI scheme and instead tries to open the URI via the UCB.  As the GIO UCP is registered as a fallback handler for all otherwise-unknown URI schemes, it is asked to handle the request, but of course doesn't know how to actually handle it.  (See below for a backtrace.)

I have no idea how to fix d930cefbe65d8b7f21100fcbf2ddcd977dd15cb1, but hopefully Tamás has.


> #0  0x00007ffff7bb4421 in __GI___poll (fds=0x1cd7610, nfds=3, timeout=2714) at /usr/src/debug/glibc-2.28-60-g4d7af7815a/sysdeps/unix/sysv/linux/poll.c:29
> #1  0x00007fffeaf553a6 in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x1cd7610, timeout=<optimized out>, context=0x42a3f0) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:4221
> #2  0x00007fffeaf553a6 in g_main_context_iterate (context=0x42a3f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:3915
> #3  0x00007fffeaf55762 in g_main_loop_run (loop=0x8691d60) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:4116
> #4  0x00007fffdc8628f2 in DialogRunner::run() (this=0x15451680) at vcl/unx/gtk3/gtk3gtkinst.cxx:2348
> #5  0x00007fffdc7f43ad in GtkInstanceDialog::run() (this=0x15451620) at vcl/unx/gtk3/gtk3gtkinst.cxx:2476
> #6  0x00007fffc01cc6e4 in (anonymous namespace)::executeErrorDialog(weld::Window*, com::sun::star::task::InteractionClassification, rtl::OUString const&, rtl::OUString const&, (anonymous namespace)::MessageBoxStyle) (pParent=0x0, eClassification=com::sun::star::task::InteractionClassification::InteractionClassification_ERROR, rContext="", rMessage="This operation is not supported on this operating system.", nButtonMask=(anonymous namespace)::MessageBoxStyle::Ok) at uui/source/iahndl-errorhandler.cxx:123
> #7  0x00007fffc01cb2ca in UUIInteractionHelper::handleErrorHandlerRequest(com::sun::star::task::InteractionClassification, ErrCode, std::__debug::vector<rtl::OUString, std::allocator<rtl::OUString> > const&, com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::task::XInteractionContinuation> > const&, bool, bool&, rtl::OUString&) (this=0x14f282e0, eClassification=com::sun::star::task::InteractionClassification::InteractionClassification_ERROR, nErrorCode=..., rArguments=std::__debug::vector of length 0, capacity 0, rContinuations=uno::Sequence of length 1 = {...}, bObtainErrorStringOnly=false, bHasErrorString=@0x7fffffff883f: false, rErrorString="") at uui/source/iahndl-errorhandler.cxx:250
> #8  0x00007fffc01d5736 in UUIInteractionHelper::handleInteractiveIOException(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&, bool, bool&, rtl::OUString&) (this=0x14f282e0, rRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478, bObtainErrorStringOnly=false, bHasErrorString=@0x7fffffff883f: false, rErrorString="") at uui/source/iahndl-ioexceptions.cxx:286
> #9  0x00007fffc01a325a in UUIInteractionHelper::handleRequest_impl(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&, bool, bool&, rtl::OUString&) (this=0x14f282e0, rRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478, bObtainErrorStringOnly=false, bHasErrorString=@0x7fffffff883f: false, rErrorString="") at uui/source/iahndl.cxx:490
> #10 0x00007fffc01a5bd4 in UUIInteractionHelper::handleRequest(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) (this=0x14f282e0, rRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478) at uui/source/iahndl.cxx:182
> #11 0x00007fffc01dfba3 in (anonymous namespace)::UUIInteractionHandler::handle(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) (this=0x8b07a20, rRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478) at uui/source/interactionhandler.cxx:140
> #12 0x00007ffff1c793ef in ucbhelper::InterceptedInteraction::impl_handleDefault(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) (this=0x154309a0, xRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478) at ucbhelper/source/client/interceptedinteraction.cxx:82
> #13 0x00007ffff1c7932d in ucbhelper::InterceptedInteraction::handle(com::sun::star::uno::Reference<com::sun::star::task::XInteractionRequest> const&) (this=0x154309a0, xRequest=uno::Reference to (class ucbhelper::InteractionRequest *) 0x15435478) at ucbhelper/source/client/interceptedinteraction.cxx:68
> #14 0x00007ffff1c8edd1 in ucbhelper::cancelCommandExecution(com::sun::star::uno::Any const&, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) (rException=uno::Any("com.sun.star.ucb.InteractiveAugmentedIOException": {
>   <com::sun::star::ucb::InteractiveIOException> = {
>     <com::sun::star::task::ClassifiedInteractionRequest> = {
>       <com::sun::star::uno::Exception> = {
>         Message = "The specified location is not supported", 
>         Context = uno::Reference to (class gio::Content *) 0x16ce3f0
>       }, 
>       members of com::sun::star::task::ClassifiedInteractionRequest: 
>       Classification = com::sun::star::task::InteractionClassification::InteractionClassification_ERROR
>     }, 
>     members of com::sun::star::ucb::InteractiveIOException: 
>     Code = com::sun::star::ucb::IOErrorCode::IOErrorCode_NOT_SUPPORTED
>   }, 
>   members of com::sun::star::ucb::InteractiveAugmentedIOException: 
>   Arguments = uno::Sequence of length 1 = {uno::Any("string": "")}
> }), xEnv=uno::Reference to (class ucbhelper::CommandEnvironment *) 0x1657f38) at ucbhelper/source/provider/cancelcommandexecution.cxx:64
> #15 0x00007fffb954f684 in gio::Content::getPropertyValues(com::sun::star::uno::Sequence<com::sun::star::beans::Property> const&, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) (this=0x16ce3f0, rProperties=uno::Sequence of length 1 = {...}, xEnv=uno::Reference to (class ucbhelper::CommandEnvironment *) 0x1657f38) at ucb/source/ucp/gio/gio_content.cxx:550
> #16 0x00007fffb9552a54 in gio::Content::execute(com::sun::star::ucb::Command const&, int, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) (this=0x16ce3f0, aCommand=..., xEnv=uno::Reference to (class ucbhelper::CommandEnvironment *) 0x1657f38) at ucb/source/ucp/gio/gio_content.cxx:926
> #17 0x00007fffb95542c1 in non-virtual thunk to gio::Content::execute(com::sun::star::ucb::Command const&, int, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&) () at instdir/program/../program/libucpgio1lo.so
> #18 0x00007ffff1c66a71 in ucbhelper::Content_Impl::executeCommand(com::sun::star::ucb::Command const&) (this=0x1657a50, rCommand=...) at ucbhelper/source/client/content.cxx:1259
> #19 0x00007ffff1c67a22 in ucbhelper::Content::getPropertyValuesInterface(com::sun::star::uno::Sequence<rtl::OUString> const&) (this=0x7fffffff99f0, rPropertyNames=uno::Sequence of length 1 = {...}) at ucbhelper/source/client/content.cxx:496
> #20 0x00007ffff1c66eef in ucbhelper::Content::getPropertyValues(com::sun::star::uno::Sequence<rtl::OUString> const&) (this=0x7fffffff99f0, rPropertyNames=uno::Sequence of length 1 = {...}) at ucbhelper/source/client/content.cxx:455
> #21 0x00007ffff1c66d55 in ucbhelper::Content::getPropertyValue(rtl::OUString const&) (this=0x7fffffff99f0, rPropertyName="IsDocument") at ucbhelper/source/client/content.cxx:434
> #22 0x00007ffff1c68c29 in ucbhelper::Content::isDocument() (this=0x7fffffff99f0) at ucbhelper/source/client/content.cxx:1030
> #23 0x00007ffff1c68930 in ucbhelper::Content::openStream() (this=0x7fffffff99f0) at ucbhelper/source/client/content.cxx:689
> #24 0x00007ffff1b1eb17 in utl::MediaDescriptor::impl_openStreamWithURL(rtl::OUString const&, bool) (this=0x7fffffffab50, sURL="vnd.org.libreoffice.recentdocs:ClearRecentFileList", bLockFile=true) at unotools/source/misc/mediadescriptor.cxx:740
> #25 0x00007ffff1b1c8ef in utl::MediaDescriptor::impl_addInputStream(bool) (this=0x7fffffffab50, bLockFile=true) at unotools/source/misc/mediadescriptor.cxx:526
> #26 0x00007ffff1b1c45a in utl::MediaDescriptor::addInputStream() (this=0x7fffffffab50) at unotools/source/misc/mediadescriptor.cxx:487
> #27 0x00007fffc32ab7d8 in filter::config::TypeDetection::impl_openStream(utl::MediaDescriptor&) (this=0x15453c50, rDescriptor=...) at filter/source/config/cache/typedetection.cxx:1129
> #28 0x00007fffc32ab07c in filter::config::TypeDetection::impl_askDetectService(rtl::OUString const&, utl::MediaDescriptor&) (this=0x15453c50, sDetectService="com.sun.star.comp.Writer.MWAWImportFilter", rDescriptor=...) at filter/source/config/cache/typedetection.cxx:980
> #29 0x00007fffc32a7e94 in filter::config::TypeDetection::impl_detectTypeFlatAndDeep(utl::MediaDescriptor&, std::__debug::vector<filter::config::FlatDetectionInfo, std::allocator<filter::config::FlatDetectionInfo> > const&, bool, std::__debug::vector<rtl::OUString, std::allocator<rtl::OUString> >&, rtl::OUString&) (this=0x15453c50, rDescriptor=..., lFlatTypes=std::__debug::vector of length 172, capacity 256 = {...}, bAllowDeep=true, rUsedDetectors=std::__debug::vector of length 1, capacity 1 = {...}, rLastChance="") at filter/source/config/cache/typedetection.cxx:933
> #30 0x00007fffc32a627a in filter::config::TypeDetection::queryTypeByDescriptor(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&, unsigned char) (this=0x15453c50, lDescriptor=uno::Sequence of length 5 = {...}, bAllowDeep=1 '\001') at filter/source/config/cache/typedetection.cxx:430
> #31 0x00007fffc32a9a01 in non-virtual thunk to filter::config::TypeDetection::queryTypeByDescriptor(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&, unsigned char) () at instdir/program/../program/libfilterconfiglo.so
> #32 0x00007fffc1b552db in framework::LoadEnv::impl_detectTypeAndFilter() (this=0x15446ac8) at framework/source/loadenv/loadenv.cxx:748
> #33 0x00007fffc1b52d62 in framework::LoadEnv::startLoading() (this=0x15446ac8) at framework/source/loadenv/loadenv.cxx:366
> #34 0x00007fffc1aaae6e in framework::LoadDispatcher::impl_dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) (this=0x15446a70, rURL=..., lArguments=empty uno::Sequence, xListener=empty uno::Reference) at framework/source/dispatch/loaddispatcher.cxx:106
> #35 0x00007fffc1aab7d2 in framework::LoadDispatcher::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x15446a70, aURL=..., lArguments=empty uno::Sequence) at framework/source/dispatch/loaddispatcher.cxx:52
> #36 0x00007ffff2b986b2 in svt::PopupMenuControllerBase::ExecuteHdl_Impl(svt::PopupMenuControllerBase*, void*) (p=0x15468ea0) at svtools/source/uno/popupmenucontrollerbase.cxx:155
> #37 0x00007ffff2b98668 in svt::PopupMenuControllerBase::LinkStubExecuteHdl_Impl(void*, void*) (instance=0x0, data=0x15468ea0) at svtools/source/uno/popupmenucontrollerbase.cxx:152
> #38 0x00007ffff0c6e4f8 in Link<void*, void>::Call(void*) const (this=0x1657a08, data=0x15468ea0) at include/tools/link.hxx:84
> #39 0x00007ffff0c6b7ac in ImplHandleUserEvent(ImplSVEvent*) (pSVEvent=0x1657a00) at vcl/source/window/winproc.cxx:1932
> #40 0x00007ffff0c68541 in ImplWindowFrameProc(vcl::Window*, SalEvent, void const*) (_pWindow=0x19a6a10, nEvent=SalEvent::UserEvent, pEvent=0x1657a00) at vcl/source/window/winproc.cxx:2485
> #41 0x00007ffff1525655 in SalFrame::CallCallback(SalEvent, void const*) const (this=0x1ae91c0, nEvent=SalEvent::UserEvent, pEvent=0x1657a00) at vcl/inc/salframe.hxx:285
> #42 0x00007ffff15441cf in SalGenericDisplay::ProcessEvent(SalUserEventList::SalUserEvent) (this=0x17c7c10, aEvent=...) at vcl/unx/generic/app/gendisp.cxx:67
> #43 0x00007ffff12bf849 in SalUserEventList::DispatchUserEvents(bool) (this=0x17c7c10, bHandleAllCurrentEvents=false) at vcl/source/app/salusereventlist.cxx:110
> #44 0x00007ffff1544125 in SalGenericDisplay::DispatchInternalEvent(bool) (this=0x17c7c10, bHandleAllCurrentEvent=false) at vcl/unx/generic/app/gendisp.cxx:52
> #45 0x00007fffdc7d9a93 in call_userEventFn(void*) (data=0x2d7c60) at vcl/unx/gtk3/gtk3gtkdata.cxx:788
> #46 0x00007fffeaf5197b in g_idle_dispatch (source=0x85e59a0, callback=0x7fffdc7d99d0 <call_userEventFn(void*)>, user_data=0x2d7c60) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:5620
> #47 0x00007fffeaf5506d in g_main_dispatch (context=0x42a3f0) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:3182
> #48 0x00007fffeaf5506d in g_main_context_dispatch (context=context@entry=0x42a3f0) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:3847
> #49 0x00007fffeaf55438 in g_main_context_iterate (context=context@entry=0x42a3f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:3920
> #50 0x00007fffeaf554d0 in g_main_context_iteration (context=0x42a3f0, may_block=1) at /usr/src/debug/glib2-2.58.3-1.fc29.x86_64/glib/gmain.c:3981
> #51 0x00007fffdc7d863b in GtkSalData::Yield(bool, bool) (this=0x2d7c60, bWait=true, bHandleAllCurrentEvents=false) at vcl/unx/gtk3/gtk3gtkdata.cxx:463
> #52 0x00007fffdc7dce87 in GtkInstance::DoYield(bool, bool) (this=0x2e9560, bWait=true, bHandleAllCurrentEvents=false) at vcl/unx/gtk/gtkinst.cxx:407
> #53 0x00007ffff133f4aa in ImplYield(bool, bool) (i_bWait=true, i_bAllEvents=false) at vcl/source/app/svapp.cxx:441
> #54 0x00007ffff133f254 in Application::Yield() () at vcl/source/app/svapp.cxx:505
> #55 0x00007ffff133f1e6 in Application::Execute() () at vcl/source/app/svapp.cxx:422
> #56 0x00007ffff7da5c29 in desktop::Desktop::Main() (this=0x7fffffffd730) at desktop/source/app/app.cxx:1621
> #57 0x00007ffff135be54 in ImplSVMain() () at vcl/source/app/svmain.cxx:203
> #58 0x00007ffff135d6e9 in SVMain() () at vcl/source/app/svmain.cxx:237
> #59 0x00007ffff7e199e8 in soffice_main() () at desktop/source/app/sofficemain.cxx:169
> #60 0x000000000020112b in sal_main () at desktop/source/app/main.c:48
> #61 0x000000000020112b in main (argc=<optimized out>, argc@entry=1, argv=<optimized out>, argv@entry=0x7fffffffda38) at desktop/source/app/main.c:47
> #62 0x00007ffff7ae6413 in __libc_start_main (main=0x201120 <main>, argc=1, argv=0x7fffffffda38, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffda28) at /usr/src/debug/glibc-2.28-60-g4d7af7815a/csu/libc-start.c:308
> #63 0x000000000020102e in _start ()
Comment 11 Maxim Monastirsky 2019-01-31 14:57:38 UTC
Stephan: I think that the issue here is that the "com.sun.star.comp.sfx2.BackingComp" node in officecfg/registry/data/org/openoffice/Office/ProtocolHandler.xcu has install:module="start", but this isn't handled in the respective makefiles (i.e. officecfg/Configuration_officecfg.mk and postprocess/CustomTarget_registry.mk).
Comment 12 Stephan Bergmann 2019-01-31 15:12:53 UTC
(In reply to Maxim Monastirsky from comment #11)
> Stephan: I think that the issue here is that the
> "com.sun.star.comp.sfx2.BackingComp" node in
> officecfg/registry/data/org/openoffice/Office/ProtocolHandler.xcu has
> install:module="start", but this isn't handled in the respective makefiles
> (i.e. officecfg/Configuration_officecfg.mk and
> postprocess/CustomTarget_registry.mk).

Indeed, the install:module="start" there is nonsense, and removing it appears to fix this issue.  Thanks for spotting!
Comment 13 Commit Notification 2019-01-31 19:23:36 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dbc92eab4d1e11fcb1588d80cb118951a180e808%5E%21

tdf#121780: com.sun.star.comp.sfx2.BackingComp needs to be registered always

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-02-01 11:58:32 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1f4ef067619044e3ea05c421590109074dbf62b8%5E%21

tdf#121780: com.sun.star.comp.sfx2.BackingComp needs to be registered always

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Vera Blagoveschenskaya 2019-02-01 13:06:01 UTC
(In reply to Commit Notification from comment #13)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/+/
> dbc92eab4d1e11fcb1588d80cb118951a180e808%5E%21
> 
> tdf#121780: com.sun.star.comp.sfx2.BackingComp needs to be registered always
> 
> It will be available in 6.3.0.
> 

Thanks, I've checked it.

Version: 6.3.0.0.alpha0+
Build ID: 51af3179cf972809d6495c7d58033e069f647bbf
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-01_00:15:00
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Bug is not reproduced for 6.3.0.0
Comment 16 Xisco Faulí 2019-02-02 15:37:26 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 1204af25fde368cfd3539915dc6cc4edcecec041
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Stephan Bergmann, Thanks for fixing this!